
Name:		zdacc
Version:	1.53
Release:	1.1
Group:		Development/Languages/Other
Summary:	ActionScript compiler for ZDoom
License:	BSD Revised, Non-Commercial
URL:		http://zdoom.org/

Source:		zdacc-%version.tar.xz
Source31:	zdacc.sh

BuildRoot:      %_tmppath/%name-%version-build
BuildRequires:	gcc, xz

%if "%{?vendor_uuid}" != ""
Provides:	%name(vendor:%vendor_uuid) = %version-%release
%endif

%description
ACC is an ACS (ActionScript) compiler for use with ZDoom and Hexen.

%prep
%setup -qn %name

%build
make %{?_smp_mflags};

%install
b="%buildroot";
mkdir -p "$b/%_bindir" "$b/%_datadir/doom/zdoom";
install -pm0755 acc "$b/%_bindir/zdacc.bin";
install -pm0644 z*.acs "$b/%_datadir/doom/zdoom/";
install -pm0755 "%{S:31}" "$b/%_bindir/zdacc";

%files
%defattr(-,root,root)
%_bindir/zdacc*
%_datadir/doom

%changelog
* Sun Mar 24 2013 jengelh@inai.de
- Adjust for new global path /usr/share/doom
* Fri Aug 31 2012 jengelh@inai.de
- Update to new upstream release 1.53
  * Supports the latest features of ZDoom 2.6, such as scripts with
  four parameters, waiting on named scripts, and some very minor
  bug fixes.
* Thu Nov 25 2010 jengelh@medozas.de
- Update to snapshot 1.50+git12
  * APROP_{ScaleX,ScaleY,Waterlevel,Target,TracerTID,MasterTid}
  * New action special Ceiling_LowerAndCrushDist
  * Added Thing_SetConversation
  * Added GetPolyobjX and GetPolyobjY ACS functions
  * Added Polyobj_Stop, Polyobj_MoveTo, and Polyobj_OR_Moveto
* Tue Jul 27 2010 jengelh@medozas.de
- Update to new upstream release 1.50
  * fix partial initialization of multidimensional arrays
* Tue Jul 27 2010 jengelh@medozas.de
- Split up zdoom package into its components
- ZDACC 1.48
